#ifndef COSTMAP_2D_CRITICAL_LAYER_H_
#define COSTMAP_2D_CRITICAL_LAYER_H_

#include <costmap_2d/static_layer.h>

namespace costmap_2d
{
class CriticalLayer : public StaticLayer
{
public:
  CriticalLayer();
  virtual ~CriticalLayer();
private:
  unsigned char interpretValue(unsigned char value);
  void updateCosts(costmap_2d::Costmap2D& master_grid, int min_i, int min_j, int max_i, int max_j);
};
}

#endif // COSTMAP_2D_CRITICAL_LAYER_H_